.overlay-container {
  transition: all ease-out 0.5s;
  z-index: 9998;
  background-color: $gray-100;
  position: fixed;
  top: 100%;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;

  overflow: auto;
  z-index: 9999999;

  &.presentable {
    transition: all ease-in 0.5s;
    top: 0;
    opacity: 1;

    .overlay-header {
      pointer-events: all;
    }
  }

  .overlay-header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    pointer-events: none;
  }
}